- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_uri_t

# mongoc_uri_set_compressors()

## Synopsis

    bool
    mongoc_uri_set_compressors (mongoc_uri_t *uri, const char *compressors);

## Parameters

- `uri`: A mongoc_uri_t.
- `compressors`: One or more comma (,) separated compressors.

## Description

Sets the URI’s compressors, after the URI has been parsed from a string. Will overwrite any previously set value.

## Example

    mongoc_client_t *client;
    mongoc_uri_t *uri;

    uri = mongoc_uri_new ("mongodb://localhost/");
    mongoc_uri_set_compressors (uri, "snappy,zlib");
    mongoc_client_new_from_uri (uri);
    /* Snappy & zlib compressors are enabled */

## Returns

Returns false if the option cannot be set, for example if `compressors` is not valid UTF-8. Logs a warning to stderr with the MONGOC_WARNING macro if compressor is not available.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.